Bug 906757 - mlx4_core not loadable
mlx4_core not loadable
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: John Kacur
MRG Quality Engineering
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 07:08 EST by Jiri Kastner
Modified: 2015-04-01 08:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-01 08:27:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2013-02-01 07:08:19 EST
Description of problem:
mlx4_core not loadable. mellanox hw not usable.

Version-Release number of selected component (if applicable):
3.6.11-rt25.17.el6rt.x86_64

How reproducible:


Steps to Reproduce:
1. install latest 3.6 kernel on box with mellanox
2. 
3.
  
Actual results:
# modprobe mlx4_core
FATAL: Error inserting mlx4_core (/lib/modules/3.6.11-rt25.17.el6rt.x86_64/kernel/drivers/net/ethernet/mellanox/mlx4/mlx4_core.ko): Invalid argument
FATAL: Error running install command for mlx4_core


Expected results:
module loaded

Additional info:
Comment 1 John Kacur 2013-02-01 07:50:17 EST
<kastnerj> jkacur, dmesg says only:
<kastnerj> mlx4_core: `1' invalid for parameter `hpn'

<davids> jkacur: commit d08e3e6e0a312410868a38c7a8433b527392c56e
Comment 2 Jiri Kastner 2013-02-01 08:19:32 EST
root @mrg37 ~ # dmesg | grep mlx
mlx4_core: Mellanox ConnectX core driver v1.1 (Dec, 2011)
mlx4_core: Initializing 0000:08:00.0
mlx4_core 0000:08:00.0: PCI INT A -> Link[LNKY] -> GSI 18 (level, high) -> IRQ 18
mlx4_core 0000:08:00.0: setting latency timer to 64
mlx4_core 0000:08:00.0: irq 86 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 87 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 88 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 89 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 90 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 91 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 92 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 93 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 94 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 95 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 96 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 97 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 98 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 99 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 100 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 101 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 102 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 103 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 104 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 105 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 106 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 107 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 108 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 109 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 110 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 111 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 112 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 113 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 114 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 115 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 116 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 117 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 118 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 119 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 120 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 121 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 122 for MSI/MSI-X
mlx4_core 0000:08:00.0: irq 123 for MSI/MSI-X
mlx4_en: Mellanox ConnectX HCA Ethernet driver v2.0 (Dec 2011)
mlx4_en 0000:08:00.0: LSO not supported, please upgrade to later FW version to enable LSO
mlx4_en 0000:08:00.0: UDP RSS is not supported on this device.
mlx4_ib: Mellanox ConnectX InfiniBand driver v1.0 (April 4, 2008)
mlx4_core 0000:08:00.0: command 0x5a failed: fw status = 0x2
root @mrg37 ~ # uname -r
3.2.33-rt50.66.el6rt.x86_64
Comment 3 Beth Uptagrafft 2013-02-04 11:58:10 EST
should be fixed in kernel-rt-3.6.11-rt25.18.el6rt

Note You need to log in before you can comment on or make changes to this bug.